> For the complete documentation index, see [llms.txt](https://docs.b2b-sellers.com/b2b-platform/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.b2b-sellers.com/b2b-platform/api-reference/store-api/core.md).

# Core

Core plugin endpoints

## Fetch snippets

> Get a List of snippets

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-core","description":"Core plugin endpoints"}],"paths":{"/snippets":{"get":{"tags":["StoreApi-core"],"summary":"Fetch snippets","description":"Get a List of snippets","responses":{"200":{"description":"Found snippets","content":{"application/json":[]}}}}}}}
```

## Add employee to company

> Add employee to company

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-core","description":"Core plugin endpoints"}],"paths":{"/b2b/employee/add":{"post":{"tags":["StoreApi-core"],"summary":"Add employee to company","description":"Add employee to company","requestBody":{"$ref":"#/components/schemas/employeeAddRequest"},"responses":{"200":{"$ref":"#/components/schemas/SuccessResponse"}}}}},"components":{"schemas":{}}}
```

## Save employee

> Create new employee

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-core","description":"Core plugin endpoints"}],"paths":{"/b2b/employee":{"post":{"tags":["StoreApi-core"],"summary":"Save employee","description":"Create new employee","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/B2bsellersEmployee"}}}},"responses":{"200":{"description":"Employee","content":{"application/json":{"schema":{"$ref":"#/components/schemas/B2bsellersEmployee"}}}}}}}},"components":{"schemas":{}}}
```

## Get employee

> Get a employee

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-core","description":"Core plugin endpoints"}],"paths":{"/b2b/employee/{id}":{"get":{"tags":["StoreApi-core"],"summary":"Get employee","description":"Get a employee","parameters":[{"in":"query","name":"is","description":"The required id can be found within the \"employee\" response:\n\nquery[\"response\"][\"elements\"][\"employee\"][\"id\"]","required":true,"schema":{"type":"string"}}],"responses":{"200":{"$ref":"#/components/responses/EmployeeDetailResponse"}}}}},"components":{"responses":{"EmployeeDetailResponse":{"openapi":"3.0.0","info":[],"paths":[],"components":{"responses":{"EmployeeDetailResponse":{"description":"Returns the employee","content":{"application/json":{"schema":{"$ref":"#/components/schemas/B2bsellersEmployee"}}}}}}}},"schemas":{}}}
```

## Delete employee

> Delete a employee

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-core","description":"Core plugin endpoints"}],"paths":{"/b2b/employee/{id}":{"delete":{"tags":["StoreApi-core"],"summary":"Delete employee","description":"Delete a employee","parameters":[{"in":"query","name":"id","description":"The required id can be found within the \"employee\" response:\n\nquery[\"response\"][\"elements\"][\"employee\"][\"id\"]","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"success"}}}}}}
```

## Update employee

> Update existing employee

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-core","description":"Core plugin endpoints"}],"paths":{"/b2b/employee/{id}":{"patch":{"tags":["StoreApi-core"],"summary":"Update employee","description":"Update existing employee","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/B2bsellersEmployee"}}}},"parameters":[{"in":"query","name":"id","description":"The required id can be found within the \"employee\" response:\n\nquery[\"response\"][\"elements\"][\"employee\"][\"id\"]","required":true,"schema":{"type":"string"}}],"responses":{"200":{"$ref":"#/components/schemas/SuccessResponse"}}}}},"components":{"schemas":{}}}
```

## Fetch employees

> Get a List of employees

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-core","description":"Core plugin endpoints"}],"paths":{"/b2b/employees":{"post":{"tags":["StoreApi-core"],"summary":"Fetch employees","description":"Get a List of employees","responses":{"200":{"$ref":"#/components/responses/EmployeeListResponse"}}}}},"components":{"responses":{"EmployeeListResponse":{"openapi":"3.0.0","info":[],"paths":[],"components":{"responses":{"EmployeeListResponse":{"description":"Returns the list of employees","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntitySearchResult"}}}}}}}},"schemas":{}}}
```

## Fetch customers of employee

> Get a List of customers

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-core","description":"Core plugin endpoints"}],"paths":{"/b2b/employee-customers":{"post":{"tags":["StoreApi-core"],"summary":"Fetch customers of employee","description":"Get a List of customers","requestBody":{"required":false,"content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/Criteria"}]}}}},"responses":{"200":{"$ref":"#/components/responses/EmployeeCustomerListResponse"}}}}},"components":{"schemas":{},"responses":{"EmployeeCustomerListResponse":{"openapi":"3.0.0","info":[],"paths":[],"components":{"responses":{"EmployeeCustomerListResponse":{"description":"Returns the list customers for this employee","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntitySearchResult"}}}}}}}}}}
```

## Send email with login link

> Send email with login link

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-core","description":"Core plugin endpoints"}],"paths":{"/passwordless-login":{"post":{"tags":["StoreApi-core"],"summary":"Send email with login link","description":"Send email with login link","requestBody":{"$ref":"#/components/schemas/passwordLessMailRequest"},"responses":{"200":{"description":"Success"}}}}},"components":{"schemas":{}}}
```

## Login without password

> Login without password

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-core","description":"Core plugin endpoints"}],"paths":{"/passwordless-login/{hash}":{"post":{"tags":["StoreApi-core"],"summary":"Login without password","description":"Login without password","parameters":[{"in":"query","name":"hash","description":"hash","required":true,"schema":{"type":"string"}}],"responses":{"200":{"$ref":"#/components/responses/ContextTokenResponse"}}}}},"components":{"responses":{}}}
```

## Fetch Customer Activity Types

> Customer Activity Type

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-core","description":"Core plugin endpoints"}],"paths":{"/sales-representative/customer-activity-type":{"get":{"tags":["StoreApi-core"],"summary":"Fetch Customer Activity Types","description":"Customer Activity Type","responses":{"200":{"$ref":"#/components/responses/CustomerActivityTypeListResponse"}}}}},"components":{"responses":{"CustomerActivityTypeListResponse":{"openapi":"3.0.0","info":[],"paths":[],"components":{"responses":{"CustomerActivityTypeListResponse":{"description":"Returns the list of activity types","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntitySearchResult"}}}}}}}},"schemas":{}}}
```

## Fetch Customer Activity Types

> Customer Activity Type

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-core","description":"Core plugin endpoints"}],"paths":{"/sales-representative/customer-activity-type/list":{"get":{"tags":["StoreApi-core"],"summary":"Fetch Customer Activity Types","description":"Customer Activity Type","responses":{"200":{"$ref":"#/components/responses/CustomerActivityTypeListResponse"}}}}},"components":{"responses":{"CustomerActivityTypeListResponse":{"openapi":"3.0.0","info":[],"paths":[],"components":{"responses":{"CustomerActivityTypeListResponse":{"description":"Returns the list of activity types","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntitySearchResult"}}}}}}}},"schemas":{}}}
```

## Get Customer Activity Type by ID

> This route is used to load the Customer Activity Type.

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-core","description":"Core plugin endpoints"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"sw-context-token"}},"responses":{"CustomerActivityTypeResponse":{"openapi":"3.0.0","info":[],"paths":[],"components":{"responses":{"CustomerActivityTypeResponse":{"description":"Returns the activity type","content":{"application/json":{"schema":{"$ref":"#/components/schemas/B2bsellersCustomerActivityType"}}}}}}}},"schemas":{}},"paths":{"/sales-representative/customer-activity-type/{id}":{"post":{"tags":["StoreApi-core"],"summary":"Get Customer Activity Type by ID","description":"This route is used to load the Customer Activity Type.","operationId":"CustomerActivityType","parameters":[{"name":"customerActivityTypeId","in":"path","description":"Customer Activity Type ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"$ref":"#/components/responses/CustomerActivityTypeResponse"}}}}}}
```

## Fetch Platform CMS page

> Get a rendered Platform CMS page

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-core","description":"Core plugin endpoints"}],"paths":{"/platform-cms/{id}":{"get":{"tags":["StoreApi-core"],"summary":"Fetch Platform CMS page","description":"Get a rendered Platform CMS page","parameters":[{"in":"query","name":"id","description":"pageId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"rendered Platform CMS page","content":{"text/html":[]}}}}}}}
```

## Fetch Order by employeeId

> This route is used to load the orders by Employee.

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-core","description":"Core plugin endpoints"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"sw-context-token"}},"responses":{"EmployeeOrderDetailResponse":{"openapi":"3.0.0","info":[],"paths":[],"components":{"responses":{"EmployeeOrderDetailResponse":{"description":"Returns the order","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Order"}}}}}}}},"schemas":{}},"paths":{"/sales-representative/customer-activity-order/{id}":{"post":{"tags":["StoreApi-core"],"summary":"Fetch Order by employeeId","description":"This route is used to load the orders by Employee.","operationId":"CustomerActivityOrder","parameters":[{"name":"employeeId","in":"path","description":"Employee ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"$ref":"#/components/responses/EmployeeOrderDetailResponse"}}}}}}
```

## POST /sales-representative/customer-activity

> This route is used create a Customer Activity.

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-core","description":"Core plugin endpoints"}],"paths":{"/sales-representative/customer-activity":{"post":{"tags":["StoreApi-core"],"description":"This route is used create a Customer Activity.","requestBody":{"required":true,"content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/B2bsellersCustomerActivity"}]}}}},"responses":{"200":{"$ref":"#/components/responses/CustomerActivityResponse"}}}}},"components":{"schemas":{},"responses":{"CustomerActivityResponse":{"openapi":"3.0.0","info":[],"paths":[],"components":{"responses":{"CustomerActivityResponse":{"description":"Returns the customers activity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/B2bsellersCustomerActivity"}}}}}}}}}}
```

## PUT /sales-representative/customer-activity

> This route is used update a Customer Activity.

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-core","description":"Core plugin endpoints"}],"paths":{"/sales-representative/customer-activity":{"put":{"tags":["StoreApi-core"],"description":"This route is used update a Customer Activity.","requestBody":{"required":true,"content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/B2bsellersCustomerActivity"}]}}}},"responses":{"200":{"$ref":"#/components/responses/CustomerActivityResponse"}}}}},"components":{"schemas":{},"responses":{"CustomerActivityResponse":{"openapi":"3.0.0","info":[],"paths":[],"components":{"responses":{"CustomerActivityResponse":{"description":"Returns the customers activity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/B2bsellersCustomerActivity"}}}}}}}}}}
```

## GET /sales-representative/customer-activity/list

> This route is used to list the Customer Activity.

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-core","description":"Core plugin endpoints"}],"paths":{"/sales-representative/customer-activity/list":{"get":{"tags":["StoreApi-core"],"description":"This route is used to list the Customer Activity.","requestBody":{"required":false,"content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/Criteria"}]}}}},"responses":{"200":{"$ref":"#/components/responses/CustomerActivityListResponse"}}}}},"components":{"schemas":{},"responses":{"CustomerActivityListResponse":{"openapi":"3.0.0","info":[],"paths":[],"components":{"responses":{"CustomerActivityListResponse":{"description":"Returns the list of activity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntitySearchResult"}}}}}}}}}}
```

## Customer Activity

> This route is used to load the Customer Activity.

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-core","description":"Core plugin endpoints"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"sw-context-token"}},"responses":{"CustomerActivityResponse":{"openapi":"3.0.0","info":[],"paths":[],"components":{"responses":{"CustomerActivityResponse":{"description":"Returns the customers activity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/B2bsellersCustomerActivity"}}}}}}}},"schemas":{}},"paths":{"/sales-representative/customer-activity/{id}":{"get":{"tags":["StoreApi-core"],"summary":"Customer Activity","description":"This route is used to load the Customer Activity.","operationId":"CustomerActivity","parameters":[{"name":"customerActivityId","in":"path","description":"Customer Activity ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"$ref":"#/components/responses/CustomerActivityResponse"}}}}}}
```

## DELETE /sales-representative/customer-activity/{id}

> This route is used to delete the Customer Activity.

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-core","description":"Core plugin endpoints"}],"paths":{"/sales-representative/customer-activity/{id}":{"delete":{"tags":["StoreApi-core"],"description":"This route is used to delete the Customer Activity.","parameters":[{"name":"customerActivityId","in":"path","description":"Customer Activity ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"$ref":"#/components/schemas/SuccessResponse"}}}}},"components":{"schemas":{}}}
```

## Import employees

> Import employees as CSV

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-core","description":"Core plugin endpoints"}],"paths":{"/b2b/employee-import":{"post":{"tags":["StoreApi-core"],"summary":"Import employees","description":"Import employees as CSV","requestBody":{"content":[],"description":"Same CSV as from export"},"responses":{"200":{"description":"Status Info"}}}}}}
```

## Export employees

> Exports all employees as CSV

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-core","description":"Core plugin endpoints"}],"paths":{"/b2b/employee-export":{"post":{"tags":["StoreApi-core"],"summary":"Export employees","description":"Exports all employees as CSV","responses":{"200":{"description":"The CSV containing all employees","content":{"text/csv":[]}}}}}}}
```

## Fetch Customer Prices

> Get a List of Customer Prices

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-core","description":"Core plugin endpoints"}],"paths":{"/customer-prices":{"post":{"tags":["StoreApi-core"],"summary":"Fetch Customer Prices","description":"Get a List of Customer Prices","responses":{"200":{"$ref":"#/components/responses/CustomerPriceResponse"}}}}},"components":{"responses":{"CustomerPriceResponse":{"openapi":"3.0.0","info":[],"paths":[],"components":{"responses":{"CustomerPriceResponse":{"description":"Returns the list of customer prices","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntitySearchResult"}}}}}}}},"schemas":{}}}
```

## Fetch Login Targets

> Get a List of Login Targets

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-core","description":"Core plugin endpoints"}],"paths":{"/login-targets":{"get":{"tags":["StoreApi-core"],"summary":"Fetch Login Targets","description":"Get a List of Login Targets","responses":{"200":{"$ref":"#/components/responses/LoginTargetListRouteResponse"}}}}},"components":{"responses":{"LoginTargetListRouteResponse":{"openapi":"3.0.0","info":[],"paths":[],"components":{"responses":{"LoginTargetListRouteResponse":{"description":"Returns the list of login targets","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LoginTargetCollection"}}}}}}}},"schemas":{}}}
```

## Fetch employee order

> Get a employee order

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-core","description":"Core plugin endpoints"}],"paths":{"/b2b/employee-order/{id}":{"get":{"tags":["StoreApi-core"],"summary":"Fetch employee order","description":"Get a employee order","parameters":[{"in":"query","name":"id","description":"id of the order","required":true,"schema":{"type":"string"}}],"responses":{"200":{"$ref":"#/components/responses/EmployeeOrderDetailResponse"}}}}},"components":{"responses":{"EmployeeOrderDetailResponse":{"openapi":"3.0.0","info":[],"paths":[],"components":{"responses":{"EmployeeOrderDetailResponse":{"description":"Returns the order","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Order"}}}}}}}},"schemas":{}}}
```

## Fetch employee orders

> Get a List of employee orders

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-core","description":"Core plugin endpoints"}],"paths":{"/b2b/employee-orders":{"post":{"tags":["StoreApi-core"],"summary":"Fetch employee orders","description":"Get a List of employee orders","responses":{"200":{"$ref":"#/components/schemas/OrderRouteResponse"}}}}},"components":{"schemas":{}}}
```

## Update sales representative&#x20;

> update existing sales representative

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-core","description":"Core plugin endpoints"}],"paths":{"/sales-representative/{id}":{"patch":{"tags":["StoreApi-core"],"summary":"Update sales representative ","description":"update existing sales representative","parameters":[{"in":"query","name":"id","description":"id of sales representative","required":true,"schema":{"type":"string"}}],"responses":{"200":{"$ref":"#/components/schemas/SuccessResponse"}}}}},"components":{"schemas":{}}}
```

## Fetch sales representative for current customer&#x20;

> Get sales representative for current customer

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-core","description":"Core plugin endpoints"}],"paths":{"/sales-representative":{"get":{"tags":["StoreApi-core"],"summary":"Fetch sales representative for current customer ","description":"Get sales representative for current customer","responses":{"200":{"$ref":"#/components/schemas/CustomerResponse"}}}}},"components":{"schemas":{}}}
```

## Fetch orders for sales representative&#x20;

> Get a list of orders

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-core","description":"Core plugin endpoints"}],"paths":{"/sales-representative/orders":{"post":{"tags":["StoreApi-core"],"summary":"Fetch orders for sales representative ","description":"Get a list of orders","responses":{"200":{"$ref":"#/components/schemas/OrderRouteResponse"}}}}},"components":{"schemas":{}}}
```

## Fetch employees for sales representative&#x20;

> Get a list of employees

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-core","description":"Core plugin endpoints"}],"paths":{"/sales-representative/employees":{"post":{"tags":["StoreApi-core"],"summary":"Fetch employees for sales representative ","description":"Get a list of employees","responses":{"200":{"$ref":"#/components/responses/EmployeeListResponse"}}}}},"components":{"responses":{"EmployeeListResponse":{"openapi":"3.0.0","info":[],"paths":[],"components":{"responses":{"EmployeeListResponse":{"description":"Returns the list of employees","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntitySearchResult"}}}}}}}},"schemas":{}}}
```

## Search products

> Get a List of products

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-core","description":"Core plugin endpoints"}],"paths":{"/b2b/fast-order-product-search":{"post":{"tags":["StoreApi-core"],"summary":"Search products","description":"Get a List of products","requestBody":{"required":false,"content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/Criteria"}]}}}},"responses":{"200":{"description":"Found products","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProductSuggestRouteResponse"}}}}}}}},"components":{"schemas":{}}}
```

## Fetch ordered products

> Get a list od ordered products

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-core","description":"Core plugin endpoints"}],"paths":{"/ordered-products":{"post":{"tags":["StoreApi-core"],"summary":"Fetch ordered products","description":"Get a list od ordered products","responses":{"200":{"$ref":"#/components/responses/OrderedProductsResponse"}}}}},"components":{"responses":{"OrderedProductsResponse":{"openapi":"3.0.0","info":[],"paths":[],"components":{"responses":{"OrderedProductsResponse":{"description":"Returns the list of ordered products","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntitySearchResult"}}}}}}}},"schemas":{}}}
```

## Fetch product table

> Get product table

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-core","description":"Core plugin endpoints"}],"paths":{"/product-table-listing":{"post":{"tags":["StoreApi-core"],"summary":"Fetch product table","description":"Get product table","requestBody":{"required":false,"content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/Criteria"}]}}}},"responses":{"200":{"$ref":"#/components/responses/ProductListingRouteResponse"}}}}},"components":{"schemas":{},"responses":{}}}
```

## Fetch sales statistics

> Get a sales statistics

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-core","description":"Core plugin endpoints"}],"paths":{"/sales-representative/sales-statistics":{"post":{"tags":["StoreApi-core"],"summary":"Fetch sales statistics","description":"Get a sales statistics","parameters":[{"in":"query","name":"customerId","description":"Customer ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"$ref":"#/components/responses/SalesStatisticResponse"}}}}},"components":{"responses":{"SalesStatisticResponse":{"openapi":"3.0.0","info":[],"paths":[],"components":{"responses":{"SalesStatisticResponse":{"description":"Returns the sales statistics","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AggregationResultCollection"}}}}}}}},"schemas":{}}}
```

## Request Account

> Request Account for new employee

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-core","description":"Core plugin endpoints"}],"paths":{"/account-request":{"post":{"tags":["StoreApi-core"],"summary":"Request Account","description":"Request Account for new employee","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountRequest"}}}},"responses":{"200":{"description":"empty response"}}}}},"components":{"schemas":{"AccountRequest":{"openapi":"3.0.0","info":[],"paths":[],"components":{"schemas":{"AccountRequest":{"properties":{"company":{"type":"object","properties":{"name":{"description":"name of company","type":"string"},"email":{"description":"email of company","type":"string"},"vatId":{"description":"vatId of company","type":"string"},"customerNumber":{"description":"customerNumber of company","type":"string"},"street":{"description":"street of company","type":"string"},"zipcode":{"description":"zipcode of company","type":"string"},"city":{"description":"city of company","type":"string"},"countryId":{"description":"countryId of company","type":"string"}}},"employee":{"type":"object","properties":{"salutationId":{"description":"salutationId of employee","type":"string"},"email":{"description":"email of employee","type":"string"},"firstName":{"description":"firstName of employee","type":"string"},"lastName":{"description":"lastName of employee","type":"string"}}},"tradeLicence":{"type":"string"}}}}}}}}}
```

## Fetch Customer Documents

> Get a List of Customer Documents

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-core","description":"Core plugin endpoints"}],"paths":{"/customer-documents/":{"post":{"tags":["StoreApi-core"],"summary":"Fetch Customer Documents","description":"Get a List of Customer Documents","responses":{"200":{"$ref":"#/components/responses/CustomerDocumentResponse"}}}}},"components":{"responses":{"CustomerDocumentResponse":{"openapi":"3.0.0","info":[],"paths":[],"components":{"responses":{"CustomerDocumentResponse":{"description":"Returns the list of documents","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomerDocument"}}}}}}}},"schemas":{"CustomerDocument":{"openapi":"3.0.0","info":[],"paths":[],"components":{"schemas":{"CustomerDocument":{"properties":{"data":{"type":"object"},"total":{"type":"integer"},"options":{"type":"object","properties":{"typeNames":{"type":"string"},"years":{"type":"string"}}}}}}}}}}}
```

## Get the document

> reads the requested document

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-core","description":"Core plugin endpoints"}],"paths":{"/customer-document/{fileName}":{"get":{"tags":["StoreApi-core"],"summary":"Get the document","description":"reads the requested document","responses":{"200":{"description":"the document","content":[]}}}}}}
```

## Send a password recovery mail

> This operation is Step 1 of the password reset flow. Make sure to implement Step 2 "Reset password with recovery credentials" in order to allow for the complete flow in your application. Sends a recovery mail containing a link with credentials that allows a customer to reset their password.

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-core","description":"Core plugin endpoints"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"sw-context-token"}},"schemas":{}},"paths":{"/b2b/employee/recovery-password":{"post":{"tags":["StoreApi-core"],"summary":"Send a password recovery mail","description":"This operation is Step 1 of the password reset flow. Make sure to implement Step 2 \"Reset password with recovery credentials\" in order to allow for the complete flow in your application. Sends a recovery mail containing a link with credentials that allows a customer to reset their password.","requestBody":{"required":true,"content":{"application/json":{"schema":{"required":["email","storefrontUrl"],"properties":{"email":{"description":"E-Mail address to identify the customer","type":"string"},"storefrontUrl":{"description":"URL of the storefront to use for the generated reset link. It has to be a domain that is configured in the sales channel domain settings.","type":"string"}},"type":"object"}}}},"responses":{"200":{"description":"If email corresponds to an existing customer, a mail will be sent out to that customer containing a link assembled using the following schema:\n\nReturns a success indicating a successful initialisation of the reset flow.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessResponse"}}}}}}}}}
```

## Delete Employee Role

> Delete an existing Employee Role

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-core","description":"Core plugin endpoints"}],"paths":{"/b2b/employee-roles/{id}":{"delete":{"tags":["StoreApi-core"],"summary":"Delete Employee Role","description":"Delete an existing Employee Role","parameters":[{"in":"query","name":"id","description":"Id of Employee Role to delete","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessResponse"}}}}}}}},"components":{"schemas":{}}}
```

## Update Employee Role

> Update an existing Employee Role

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-core","description":"Core plugin endpoints"}],"paths":{"/b2b/employee-roles/{id}":{"patch":{"tags":["StoreApi-core"],"summary":"Update Employee Role","description":"Update an existing Employee Role","parameters":[{"in":"query","name":"id","description":"Id of Employee Role to update","required":true,"schema":{"type":"string"}}],"requestBody":{"$ref":"#/components/schemas/employeeRoleRequest"},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessResponse"}}}}}}}},"components":{"schemas":{}}}
```

## Save Employee Role

> Create a new Employee Role

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-core","description":"Core plugin endpoints"}],"paths":{"/b2b/employee-roles/create":{"post":{"tags":["StoreApi-core"],"summary":"Save Employee Role","description":"Create a new Employee Role","requestBody":{"$ref":"#/components/schemas/employeeRoleRequest"},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessResponse"}}}}}}}},"components":{"schemas":{}}}
```

## Fetch Employee Roles

> Get a List of Employee Roles

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-core","description":"Core plugin endpoints"}],"paths":{"/b2b/employee-roles":{"post":{"tags":["StoreApi-core"],"summary":"Fetch Employee Roles","description":"Get a List of Employee Roles","responses":{"200":{"$ref":"#/components/responses/EmployeeRoleListRouteResponse"}}}}},"components":{"responses":{"EmployeeRoleListRouteResponse":{"openapi":"3.0.0","info":[],"paths":[],"components":{"responses":{"EmployeeRoleListRouteResponse":{"description":"Returns the list of employee roles","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntitySearchResult"}}}}}}}},"schemas":{}}}
```

## Switch address

> replace billing or shipping address

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-core","description":"Core plugin endpoints"}],"paths":{"/b2b/address/switch-{type}/{addressId}":{"get":{"tags":["StoreApi-core"],"summary":"Switch address","description":"replace billing or shipping address","parameters":[{"in":"query","name":"addressId","description":"Id of the address to be set","required":true,"schema":{"type":"string"}},{"in":"query","name":"type","description":"type of address to switch","required":true,"schema":{"enum":["billing","shipping"]}}],"responses":{"200":{"description":"Success"}}}}}}
```

## Search customers

> search for customers

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-core","description":"Core plugin endpoints"}],"paths":{"/sales-representative/customer-search":{"post":{"tags":["StoreApi-core"],"summary":"Search customers","description":"search for customers","requestBody":{"required":false,"content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/Criteria"}]}}}},"responses":{"200":{"$ref":"#/components/responses/customerSearchResponse"}}}}},"components":{"schemas":{},"responses":{"customerSearchResponse":{"openapi":"3.0.0","info":[],"paths":[],"components":{"responses":{"customerSearchResponse":{"description":"Returns the customers found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntitySearchResult"}}}}}}}}}}
```

## Fetch sales ranking

> Get a sales ranking

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-core","description":"Core plugin endpoints"}],"paths":{"/sales-representative/customer-sales-ranking":{"post":{"tags":["StoreApi-core"],"summary":"Fetch sales ranking","description":"Get a sales ranking","requestBody":{"required":true,"content":{"application/json":{"schema":{"properties":{"customerId":{"description":"Customer","type":"string","pattern":"^[0-9a-f]{32}$"}},"type":"object"}}}},"responses":{"200":{"$ref":"#/components/responses/customerSalesRankingResponse"}}}}},"components":{"responses":{"customerSalesRankingResponse":{"openapi":"3.0.0","info":[],"paths":[],"components":{"responses":{"customerSalesRankingResponse":{"description":"Returns the customers found","content":{"application/json":{"schema":{"properties":{"object":{"$ref":"#/components/schemas/CustomerSalesCollection"}}}}}}}}}},"schemas":{"CustomerSalesCollection":{"openapi":"3.0.0","info":[],"paths":[],"components":{"schemas":{"CustomerSalesCollection":{"allOf":[{"$ref":"#/components/schemas/ArrayStruct"},{"$ref":"#/components/schemas/CustomerSales"}]}}}},"CustomerSales":{"openapi":"3.0.0","info":[],"paths":[],"components":{"schemas":{"CustomerSales":{"properties":{"Customer":{"$ref":"#/components/schemas/Customer"},"count":{"description":"Number of Sales","type":"number"},"totalAmount":{"description":"The worth of the sales in gross","type":"number"},"TotalAmountNet":{"description":"The worth of the sales in net","type":"number"}},"type":"object"}}}}}}}
```

## Fetch customers

> Get a List customers

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-core","description":"Core plugin endpoints"}],"paths":{"/sales-representative/customers":{"post":{"tags":["StoreApi-core"],"summary":"Fetch customers","description":"Get a List customers","responses":{"200":{"$ref":"#/components/responses/customerSearchResponse"}}}}},"components":{"responses":{"customerSearchResponse":{"openapi":"3.0.0","info":[],"paths":[],"components":{"responses":{"customerSearchResponse":{"description":"Returns the customers found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntitySearchResult"}}}}}}}},"schemas":{}}}
```

## Fetch last orders of customer

> Get a List of last orders of customer

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-core","description":"Core plugin endpoints"}],"paths":{"/sales-representative/customer-last-orders":{"post":{"tags":["StoreApi-core"],"summary":"Fetch last orders of customer","description":"Get a List of last orders of customer","responses":{"200":{"description":"Found orders","content":{"application/json":{"schema":{"$ref":"#/components/schemas/customerLastOrdersResponse"}}}}}}}},"components":{"schemas":{}}}
```

## Fetch orders of customer

> Get a List of orders of customer

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-core","description":"Core plugin endpoints"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"sw-context-token"}},"schemas":{}},"paths":{"/sales-representative/customer-orders/{customerId}":{"get":{"tags":["StoreApi-core"],"summary":"Fetch orders of customer","description":"Get a List of orders of customer","parameters":[{"in":"query","name":"customerId","description":"customer id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"An array of orders from the requested customer","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderRouteResponse"}}}}}}}}}
```

## Fetch Employee Permissions

> Get a List of Employee Permissions

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-core","description":"Core plugin endpoints"}],"paths":{"/b2b/employee-permissions":{"post":{"tags":["StoreApi-core"],"summary":"Fetch Employee Permissions","description":"Get a List of Employee Permissions","responses":{"200":{"$ref":"#/components/responses/EmployeePermissionListRouteResponse"}}}}},"components":{"responses":{"EmployeePermissionListRouteResponse":{"openapi":"3.0.0","info":[],"paths":[],"components":{"responses":{"EmployeePermissionListRouteResponse":{"description":"Returns the list of permissions","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntitySearchResult"}}}}}}}},"schemas":{}}}
```

## Get employee invitations

> Get employee invitations

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-core","description":"Core plugin endpoints"}],"paths":{"/b2b/employee-invitations":{"get":{"tags":["StoreApi-core"],"summary":"Get employee invitations","description":"Get employee invitations","responses":{"200":{"$ref":"#/components/responses/EmployeeInvitationListResponse"}}}}},"components":{"responses":{"EmployeeInvitationListResponse":{"openapi":"3.0.0","info":[],"paths":[],"components":{"responses":{"EmployeeInvitationListResponse":{"description":"Returns the list of invitations","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntitySearchResult"}}}}}}}},"schemas":{}}}
```

## Get employee invitation

> Get employee invitation

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-core","description":"Core plugin endpoints"}],"paths":{"/b2b/employee-invitation/{id}":{"get":{"tags":["StoreApi-core"],"summary":"Get employee invitation","description":"Get employee invitation","parameters":[{"in":"query","name":"id","description":"employee invitation id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"$ref":"#/components/responses/EmployeeInvitationResponse"}}}}},"components":{"responses":{"EmployeeInvitationResponse":{"openapi":"3.0.0","info":[],"paths":[],"components":{"responses":{"EmployeeInvitationResponse":{"description":"Returns the invitation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/B2bsellersEmployeeInvitation"}}}}}}}},"schemas":{}}}
```

## Delete employee invitation

> Delete employee invitation

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-core","description":"Core plugin endpoints"}],"paths":{"/b2b/employee-invitation/{id}":{"delete":{"tags":["StoreApi-core"],"summary":"Delete employee invitation","description":"Delete employee invitation","parameters":[{"in":"query","name":"id","description":"employee invitation id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}}}}
```

## Create employee from invite

> Import employees as CSV

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-core","description":"Core plugin endpoints"}],"paths":{"/invitation-employee/{hash}":{"post":{"tags":["StoreApi-core"],"summary":"Create employee from invite","description":"Import employees as CSV","parameters":[{"in":"query","name":"hash","description":"hash from invitation","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Status Info","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessResponse"}}}}}}}},"components":{"schemas":{}}}
```

## Create an invitation

> creates an invitation for an employee

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-core","description":"Core plugin endpoints"}],"paths":{"/create-invitation":{"post":{"tags":["StoreApi-core"],"summary":"Create an invitation","description":"creates an invitation for an employee","requestBody":{"$ref":"#/components/schemas/employeeCreateInvitiationRequest"},"responses":{"200":{"description":"Status Info","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessResponse"}}}}}}}},"components":{"schemas":{}}}
```

## Fetch express checkout setting

> Get express checkout setting

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-core","description":"Core plugin endpoints"}],"paths":{"/express-checkout-setting":{"get":{"tags":["StoreApi-core"],"summary":"Fetch express checkout setting","description":"Get express checkout setting","responses":{"200":{"$ref":"#/components/responses/ExpressCheckoutSettingDetailResponse"}}}}},"components":{"responses":{"ExpressCheckoutSettingDetailResponse":{"openapi":"3.0.0","info":[],"paths":[],"components":{"responses":{"ExpressCheckoutSettingDetailResponse":{"description":"Returns the express checkout settings","content":{"application/json":{"schema":{"$ref":"#/components/schemas/B2bsellersExpressCheckoutSetting"}}}}}}}},"schemas":{}}}
```

## Update express checkout setting

> Update express checkout setting

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-core","description":"Core plugin endpoints"}],"paths":{"/express-checkout-setting":{"patch":{"tags":["StoreApi-core"],"summary":"Update express checkout setting","description":"Update express checkout setting","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/B2bsellersExpressCheckoutSetting"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessResponse"}}}}}}}},"components":{"schemas":{}}}
```

## Fetch Employee Permission Groups

> Get a List of Employee Permission Groups

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-core","description":"Core plugin endpoints"}],"paths":{"/b2b/employee-permission-groups":{"post":{"tags":["StoreApi-core"],"summary":"Fetch Employee Permission Groups","description":"Get a List of Employee Permission Groups","responses":{"200":{"$ref":"#/components/responses/EmployeePermissionGroupListRouteResponse"}}}}},"components":{"responses":{"EmployeePermissionGroupListRouteResponse":{"openapi":"3.0.0","info":[],"paths":[],"components":{"responses":{"EmployeePermissionGroupListRouteResponse":{"description":"Returns the list of permission groups","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntitySearchResult"}}}}}}}},"schemas":{}}}
```

## Add products to cart

> add products to cart

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-core","description":"Core plugin endpoints"}],"paths":{"/b2b/add-to-cart":{"post":{"tags":["StoreApi-core"],"summary":"Add products to cart","description":"add products to cart","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddToCartRequest"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/addToCartResponse"}}}}}}}},"components":{"schemas":{"AddToCartRequest":{"openapi":"3.0.0","info":[],"paths":[],"components":{"schemas":{"AddToCartRequest":{"properties":{"object":{"allOf":[{"properties":{"productNumber":{"type":"string"},"quantity":{"type":"number"}}}]}}}}}}}}}
```

## list products

> Get a List of products

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-core","description":"Core plugin endpoints"}],"paths":{"/b2b/product-details":{"post":{"tags":["StoreApi-core"],"summary":"list products","description":"Get a List of products","requestBody":{"required":false,"content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/Criteria"}]}}}},"responses":{"200":{"description":"Found products","content":{"application/json":{"schema":{"$ref":"#/components/responses/FastOrderProductsResponse"}}}}}}}},"components":{"schemas":{},"responses":{"FastOrderProductsResponse":{"openapi":"3.0.0","info":[],"paths":[],"components":{"responses":{"FastOrderProductsResponse":{"description":"Returns the list products","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProductCollection"}}}}}}}}}}
```

## Search products

> Get a list of products

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-core","description":"Core plugin endpoints"}],"paths":{"/platform-product-search":{"post":{"tags":["StoreApi-core"],"summary":"Search products","description":"Get a list of products","requestBody":{"required":false,"content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/Criteria"}]}}}},"responses":{"200":{"$ref":"#/components/responses/ProductSuggestRouteResponse"}}}}},"components":{"schemas":{},"responses":{}}}
```

## get price for product

> Calculates the price for a given product and quantity&#x20;

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-core","description":"Core plugin endpoints"}],"paths":{"/product-price/{id}/{quantity}":{"post":{"tags":["StoreApi-core"],"summary":"get price for product","description":"Calculates the price for a given product and quantity ","parameters":[{"in":"query","name":"quantity","description":"quantity of product","required":true,"schema":{"type":"number"}},{"in":"query","name":"id","description":"product id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"$ref":"#/components/responses/ProductPriceResponse"}}}}},"components":{"responses":{"ProductPriceResponse":{"openapi":"3.0.0","info":[],"paths":[],"components":{"responses":{"ProductPriceResponse":{"description":"Returns the product prices","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QuantityPriceDefinition"}}}}}}}},"schemas":{}}}
```

## Fetch platform menu

> Fetch platform menu

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-core","description":"Core plugin endpoints"}],"paths":{"/b2b/platform-menu":{"get":{"tags":["StoreApi-core"],"summary":"Fetch platform menu","description":"Fetch platform menu","parameters":[{"in":"query","name":"depth","description":"depth","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"Found Fetch platform menu","content":{"application/json":{"schema":{"$ref":"#/components/responses/PlatformMenuRouteResponse"}}}}}}}},"components":{"responses":{"PlatformMenuRouteResponse":{"openapi":"3.0.0","info":[],"paths":[],"components":{"responses":{"PlatformMenuRouteResponse":{"description":"Returns the platform menu","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntitySearchResult"}}}}}}}},"schemas":{}}}
```

## Fetch platform menu

> Fetch platform menu

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-core","description":"Core plugin endpoints"}],"paths":{"/b2b/platform-menu":{"post":{"tags":["StoreApi-core"],"summary":"Fetch platform menu","description":"Fetch platform menu","parameters":[{"in":"query","name":"depth","description":"depth","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"Found Fetch platform menu","content":{"application/json":{"schema":{"$ref":"#/components/responses/PlatformMenuRouteResponse"}}}}}}}},"components":{"responses":{"PlatformMenuRouteResponse":{"openapi":"3.0.0","info":[],"paths":[],"components":{"responses":{"PlatformMenuRouteResponse":{"description":"Returns the platform menu","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntitySearchResult"}}}}}}}},"schemas":{}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.b2b-sellers.com/b2b-platform/api-reference/store-api/core.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
